ranges::box< Element, Tag, box_compress > Class Template Reference
Utility
Inheritance diagram for ranges::box< Element, Tag, box_compress >:

## Public Member Functions

template<typename E >
CPP_TEMPLATE_AUX_0 | c (requires(!same_as< box, detail::decay_t< E >>) &&constructible_from< Element, E > &&(!convertible_to< E, Element >)) ccconstexpr explicit box(E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value)
template<typename E >
CPP_TEMPLATE_AUX_0 | c (requires(!same_as< box, detail::decay_t< E >>) &&constructible_from< Element, E > &&convertible_to< E, Element >) ccconstexpr box(E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value)
constexpr Element && | get () &&noexcept
constexpr Element & | get () &noexcept
constexpr Element const && | get () const &&noexcept
constexpr Element const & | get () const &noexcept